package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel("分页查询报价明细返回")
public class DrpQuerySupplierQuoteDetailVO implements Serializable {
   @ApiModelProperty("报价表id")
   @ExcelIgnore
   private Long quoteId;
   @ApiModelProperty("货品id")
   @ExcelIgnore
   private Long materialId;
   @ApiModelProperty("货品编码")
   @ExcelProperty(
      value = {"货品编码"},
      order = 0
   )
   private String materialCode;
   @ApiModelProperty("货品")
   @ExcelProperty(
      value = {"货品名称"},
      order = 1
   )
   private String materialName;
   @ApiModelProperty("类别id")
   @ExcelIgnore
   private Long categoryId;
   @ApiModelProperty("类别")
   @ExcelProperty(
      value = {"货品类别"},
      order = 2
   )
   private String categoryName;
   @ApiModelProperty("单位id")
   @ExcelIgnore
   private Long unitId;
   @ApiModelProperty("单位")
   @ExcelProperty(
      value = {"计量单位"},
      order = 3
   )
   private String unitName;
   @ApiModelProperty("规格")
   @ExcelIgnore
   private String size;
   @ApiModelProperty("报价单价")
   private Integer singlePrice;
   @ApiModelProperty("数量")
   @ExcelProperty(
      value = {"采购数量"},
      order = 5
   )
   private BigDecimal purNum;
   @ApiModelProperty("金额")
   private Integer totalPrice;
   @ApiModelProperty("图片")
   @ExcelIgnore
   private String imageUrl;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getQuoteId() {
      return this.quoteId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public void setQuoteId(final Long quoteId) {
      this.quoteId = quoteId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }
}
